[PC-BSD Commits] r1016 - pbibuild/modules/scummvm/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Thu Dec 13 14:58:04 PST 2007


Author: gonzalo
Date: 2007-12-13 14:58:03 -0800 (Thu, 13 Dec 2007)
New Revision: 1016

Modified:
   pbibuild/modules/scummvm/overlay-dir/PBI.RemoveScript.sh
Log:
RemoveScript fixed/upgraded.

Modified: pbibuild/modules/scummvm/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/scummvm/overlay-dir/PBI.RemoveScript.sh	2007-12-13 22:54:12 UTC (rev 1015)
+++ pbibuild/modules/scummvm/overlay-dir/PBI.RemoveScript.sh	2007-12-13 22:58:03 UTC (rev 1016)
@@ -8,16 +8,21 @@
 #########################################
 rm -fR /usr/local/share/doc/scummvm
 rm -fR /usr/local/man/man6/scummvm.6.gz
-cd /home
- for i in `ls` 
- do 
-   if [ -f "/home/${i}/.scummvmrc" ] 
-   then 
-     kdialog --title "Uninstalling Scumm Virtual Machine!" --yesno "Do you wish to erase Scummvm's saved games and configuration files for ${i} user as well?"
-     if [ "$?" = "0" ] 
-     then 
-       rm -r /home/${i}/.scummvmrc
-       rm -r /home/${i}/.scummvm
-     fi 
-   fi 
- done 
\ No newline at end of file
+
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Scumm Virtual Machine user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+  cd /home
+  for i in `ls`
+  do
+   if [ -e "/home/${i}/.scummvm" ]
+   then
+       rm -fR /home/${i}/.scummvmrc
+       rm -fR /home/${i}/.scummvm
+   fi
+  done
+ fi
+fi



More information about the Commits mailing list